Bug 1718009 - Add more default items to the default facts filter list: partitions*, mountpoints*, disks*
Summary: Add more default items to the default facts filter list: partitions*, mountpo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Fact
Version: 6.4.2
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Lukas Zapletal
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-06 16:50 UTC by sthirugn@redhat.com
Modified: 2019-10-22 12:47 UTC (History)
5 users (show)

Fixed In Version: foreman-1.22.0.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
Default fact filters (14.50 KB, image/png)
2019-07-19 11:56 UTC, Radovan Drazny
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26852 Normal Closed Add mountpoint and partition exclude fact patterns 2020-01-05 00:47:53 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:49 UTC

Description sthirugn@redhat.com 2019-06-06 16:50:21 UTC
Description of problem:
Add more default items to the default facts filter list: partitions*, mountpoints*, disks* 

Version-Release number of selected component (if applicable):
Satellite 6.4.2

How reproducible:
Always

Steps to Reproduce:
1. Recently in one of the customer data, we found too many paritions*, mountpoint* and disks* fact making the associated fact tables to be so large which ultimately affects the performance of the Satellite API calls, sometimes bringing down Satellite as well if too many host update calls happen at the same time.
2. It is difficult to reproduce the exact scenario in the test, but the aim of this Bugzilla is to filter additional items in Satellite settings:

Administer -> Settings -> Provisioning -> `Exclude pattern for facts stored in satellite` -> Add the following to the already existing list: partitions*, mountpoints*, disks*

Actual results:
the current filter list is shown as:
[ lo, en*v*, usb*, vnet*, macvtap*, _vdsmdummy_, veth*, docker*, tap*, qbr*, qvb*, qvo*, qr-*, qg-*, vlinuxbr*, vovsbr* ]

Expected results:
it should add three more items:
[ lo, en*v*, usb*, vnet*, macvtap*, _vdsmdummy_, veth*, docker*, tap*, qbr*, qvb*, qvo*, qr-*, qg-*, vlinuxbr*, vovsbr*, paritions*, mountpoint* and disks* ]

Additional info:

Comment 4 Bryan Kearney 2019-06-07 16:08:11 UTC
Upstream bug assigned to lzap@redhat.com

Comment 5 Bryan Kearney 2019-06-07 16:08:12 UTC
Upstream bug assigned to lzap@redhat.com

Comment 6 Bryan Kearney 2019-06-13 12:07:15 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26852 has been resolved.

Comment 8 Radovan Drazny 2019-07-19 11:56:06 UTC
Created attachment 1591953 [details]
Default fact filters

Checked on Sat 6.5 Snap 11. See the attached screenshot.

Comment 10 Lukas Zapletal 2019-07-22 15:39:31 UTC
That's okay, it's actually "mountpoints" key.

Comment 12 errata-xmlrpc 2019-10-22 12:47:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.